Create Decoded Bank Billet
POSTTag: api-baas-post-create-decoded-banking-billetDescription: This endpoint generates a new Decoded Bank Billet ID to facilitate payments via bank billet. Provide the bank billet's information in the request body, including the typeable line. Upon successful execution, the endpoint returns a unique ID that is required for processing bank billet payments./v1/banking/billet-payments/decode
Request
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
- application/json
Body
required
Typeable line.
Responses
- 201
- 400
- 401
- 422
Decoded bank billet created.
- application/json
- Schema
- Example (from schema)
Schema
Unique decoded UUID.
Barcode.
Typeable line.
Original amount.
Charged amount.
Charged rebate amount.
Charged interest amount.
Charged fine amount.
Charged discount amount.
Due date.
Limit due date.
Charged amount due date.
Beneficiary name.
Beneficiary bank name.
Possible values: [ANY_AMOUNT, BETWEEN_MINIMUM_AND_MAXIMUM, DO_NOT_ACCEPT_DIVERGENT_AMOUNT_PAYMENT, ONLY_MINIMUM_AMOUNT]
Divergent amount type.
Minimum payable amount.
Maximum payable amount.
{
"id": "d5e0bec8-8695-4557-b0dd-021788cd83ef",
"barcode": "55900000000000000000000000000000000011578328",
"typeable_line": "26090420781062989442839400000004199810000002050",
"original_amount": 2000,
"charged_amount": 2000,
"charged_rebate_amount": 2000,
"charged_interest_amount": 2000,
"charged_fine_amount": 2000,
"charged_discount_amount": 2000,
"due_date": "2026-07-24T17:46:32.811Z",
"limit_due_date": "2026-07-24T17:46:32.811Z",
"charged_amount_due_date": "2026-07-24T17:46:32.811Z",
"beneficiary_name": "João da Silva",
"beneficiary_bank_name": "Bank Test S.A.",
"divergent_amount_type": "DO_NOT_ACCEPT_DIVERGENT_AMOUNT_PAYMENT",
"min_amount": 2000,
"max_amount": 2000
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.